#ifndef __FAP_MACROS_H__
#define __FAP_MACROS_H__

#include "stm32f10x_lib.h"

#define FAP_NRF_IRQ_DISABLE()   do{EXTI->IMR&=~(1<<4);EXTI->EMR&=~(1<<4);}while(0)

#define FAP_NRF_IRQ_ENABLE()    do{EXTI->IMR|=(1<<4);EXTI->EMR|=(1<<4);}while(0)

#define FAP_TIMER_IRQ_DISABLE() TIM_ITConfig(TIM2,TIM_IT_Update,DISABLE);TIM_Cmd(TIM2,DISABLE);

#define FAP_TIMER_IRQ_ENABLE()  TIM_Cmd(TIM2,ENABLE);TIM_ITConfig(TIM2,TIM_IT_Update,ENABLE);

#endif
