#ifndef		__MAIN_H__
#define 	__MAIN_H__

#include "stm32f10x_lib.h"
#include "stm32f10x_type.h"

typedef struct _INT_HANDLER
{
	void (*handler)(void);	
}INT_HANDLER;

                                               
/* --- WIZ-RF30 Extension Board Test LED macros --- */
#define LED_0_ON       		GPIO_ResetBits(GPIOB, TEST_LED_0);
#define LED_0_OFF     		GPIO_SetBits(GPIOB, TEST_LED_0);

#define LED_1_ON        	GPIO_ResetBits(GPIOC, TEST_LED_1);
#define LED_1_OFF	        GPIO_SetBits(GPIOC, TEST_LED_1);

#define LED_2_ON        	GPIO_ResetBits(GPIOC, TEST_LED_2);
#define LED_2_OFF	        GPIO_SetBits(GPIOC, TEST_LED_2);

#define LED_3_ON        	GPIO_ResetBits(GPIOC, TEST_LED_3);
#define LED_3_OFF	        GPIO_SetBits(GPIOC, TEST_LED_3);

#define LED_4_ON        	GPIO_ResetBits(GPIOB, TEST_LED_4);
#define LED_4_OFF	        GPIO_SetBits(GPIOB, TEST_LED_4);

#define LED_5_ON        	GPIO_ResetBits(GPIOB, TEST_LED_5);
#define LED_5_OFF	        GPIO_SetBits(GPIOB, TEST_LED_5);

#define LED_6_ON        	GPIO_ResetBits(GPIOB, TEST_LED_6);
#define LED_6_OFF	        GPIO_SetBits(GPIOB, TEST_LED_6);

#define TOGGLE_LED_0    if(GPIO_ReadOutputDataBit(GPIOB, TEST_LED_0))   \
                          LED_0_ON                               	\
                      else                                            	\
                          LED_0_OFF                              	\

#define TOGGLE_LED_1    if(GPIO_ReadOutputDataBit(GPIOC, TEST_LED_1))   \
                          LED_1_ON                               	\
                      else                                            	\
                          LED_1_OFF                              	\

#define TOGGLE_LED_2    if(GPIO_ReadOutputDataBit(GPIOC, TEST_LED_2))   \
                          LED_2_ON                               	\
                      else                                            	\
                          LED_2_OFF                              	\

#define TOGGLE_LED_3    if(GPIO_ReadOutputDataBit(GPIOC, TEST_LED_3))   \
                          LED_3_ON                               	\
                      else                                            	\
                          LED_3_OFF                             	\

#define TOGGLE_LED_4    if(GPIO_ReadOutputDataBit(GPIOB, TEST_LED_4))   \
                          LED_4_ON                       	    	\
                      else                                          	\
                          LED_4_OFF                             	\

#define TOGGLE_LED_5    if(GPIO_ReadOutputDataBit(GPIOB, TEST_LED_5))   \
                          LED_5_ON                               	\
                      else                                           	\
                          LED_5_OFF                             	\

#define TOGGLE_LED_6    if(GPIO_ReadOutputDataBit(GPIOB, TEST_LED_6))	\
                          LED_6_ON					\
                      else						\
                          LED_6_OFF					\

#define LED_0_DELAY(ms)	{						\
			LED_0_ON					\
   			Delay_ms(ms);					\
			LED_0_OFF					} 
#define LED_1_DELAY(ms)	{						\
			LED_1_ON					\
   			Delay_ms(ms);					\
			LED_1_OFF					}   

#define LED_2_DELAY(ms)	{						\
			LED_2_ON					\
   			Delay_ms(ms);					\
			LED_2_OFF					}   

#define LED_3_DELAY(ms)	{						\
			LED_3_ON					\
   			Delay_ms(ms);					\
			LED_3_OFF					}   

#define LED_4_DELAY(ms)	{						\
			LED_4_ON					\
   			Delay_ms(ms);					\
			LED_4_OFF					}   

#define LED_5_DELAY(ms)	{						\
			LED_5_ON					\
   			Delay_ms(ms);					\
			LED_5_OFF					}   

#define LED_6_DELAY(ms)	{						\
			LED_6_ON					\
   			Delay_ms(ms);					\
			LED_6_OFF					}   
/* ---------------------------------------------------------- */
#define sio_max	50

#endif
